Обнаружена уязвимость в коде почтового сервера Sendmail

04 марта 2003
[04.03.2003]

Обнаружена уязвимость в программном обеспечении Red Hat Linux версии 6.2, 7.0, 7.1, 7.2, 7.3, 8.0, отчет о которой опубликован на сайте www.redhat.com 3 марта 2003 г. Уязвимости присвоен статус "критической" в силу большой потенциальной опасности для пораженных машин.

Уязвимость содержится в Sendmail - широко используемым агенте пересылки сообщений (Mail Transport Agent (MTA) в системе электронной почты в стандарте Х.400. Sendmail является стандартным компонентом всех дистрибутивов операционной системы Red Hat Linux. Уязвимости подвержены не обновленные версии Sendmail ранее 8.12.8.

При отправке специальным образом сформированного почтового сообщения и в процессе его обработки Sendmail в системе может быть осуществлен запуск произвольного кода на правах суперпользователя. В случае успешного проведения атаки нападающий в режиме удаленного доступа может получить контроль над пораженной системой на правах root. Следует учитывать, что другие агенты пересылки сообщений могут беспрепятственно пропускать такое вредоносное сообщение, и, следовательно, не обновленные версии программы Sendmail, установленные в сети, будут подвергаться опасности даже в том случае, если они не настроены на непосредственный прием сообщений извне.

Публикуемые обновления версий дистрибутива Red Hat Linux дают возможность закрыть не только вышеописанную уязвимость, но и ошибку в системе безопасности этого ПО в случае, если настройки Sendmail разрешают использование SMRSH (restricted shell), что может позволить нападающей стороне обойти ограничения smrsh для проникновения в систему и осуществления в ней несанкционированных действий.

ЗАО "ДиалогНаука" настоятельно советует пользователям Sendmail загрузить и установить на своих компьютерах обновления пакета, соответствующие используемой Вами версии дистрибутива Red Hat Linux.

8
;